package com.template.model.seewo;

import java.util.*;
import com.seewo.open.sdk.OpenApiParam;
import com.seewo.open.sdk.OpenApiRequest;

/**
 * seewo-open API: 批量移除学校老师
 *
 *
 * @author auto create
 * @since 2.0.1 2023-12-19
 */
public class TeacherServiceBatchRemoveTeachersRequest extends OpenApiRequest<TeacherServiceBatchRemoveTeachersParam, TeacherServiceBatchRemoveTeachersResult> {

    public TeacherServiceBatchRemoveTeachersRequest(TeacherServiceBatchRemoveTeachersParam param) {
        this();
        setBizModel(param);
    }

    public TeacherServiceBatchRemoveTeachersRequest() {
        setServerUrl("https://openapi.seewo.com");
        setPath("/seewo-yunban-api/teacher-service/batch-remove-teachers");
        setHttpMethod("POST");
    }

    public Class<TeacherServiceBatchRemoveTeachersResult> getResponseClass() {
        return TeacherServiceBatchRemoveTeachersResult.class;
    }

    public Class<TeacherServiceBatchRemoveTeachersParam> getDomainClass() {
        return TeacherServiceBatchRemoveTeachersParam.class;
    }
}

